package carfactory;

public class Manufacturing {
	public static void main(String[] args) {
		Car car = new Car();
		ConveyorBelt conveyorbelt = new ConveyorBelt();
		Supplier supplier = new Supplier();
		Thread chassisAssemblerRobot = new ChassisAssemblerRobot("Robert", conveyorbelt, supplier, car);
		Thread mirrorMechanicRobot = new MirrorMechanicRobot("Kuka", conveyorbelt, supplier, car);
		Thread wheelMechanicRobot = new WheelMechanicRobot("John", conveyorbelt, supplier, car);
		Thread painterRobot = new PainterRobot("Leonardo", conveyorbelt, supplier, car);
		try {
			chassisAssemblerRobot.start();
			chassisAssemblerRobot.join();
			mirrorMechanicRobot.start();
			wheelMechanicRobot.start();
			mirrorMechanicRobot.join();
			wheelMechanicRobot.join();
			conveyorbelt.move();
			painterRobot.start();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

}
